aboutsummaryrefslogtreecommitdiff
path: root/build-tool/scripts/validation.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-tool/scripts/validation.sh')
-rwxr-xr-xbuild-tool/scripts/validation.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/build-tool/scripts/validation.sh b/build-tool/scripts/validation.sh
index 48b23721ba..1d7af76e2a 100755
--- a/build-tool/scripts/validation.sh
+++ b/build-tool/scripts/validation.sh
@@ -1,6 +1,6 @@
#!/bin/bash
#
-# Copyright © 2022 Arm Ltd and Contributors. All rights reserved.
+# Copyright © 2022-2023 Arm Ltd and Contributors. All rights reserved.
# SPDX-License-Identifier: MIT
#
@@ -20,8 +20,8 @@ if [ "$target_arch" == "" ]; then
exit 1
fi
-if [ "$target_arch" != "aarch64" ] && [ "$target_arch" != "x86_64" ]; then
- echo "$name: --target-arch is not valid. Valid options are: aarch64, x86_64"
+if [ "$target_arch" != "aarch64" ] && [ "$target_arch" != "android64" ] && [ "$target_arch" != "x86_64" ]; then
+ echo "$name: --target-arch is not valid. Valid options are: aarch64, android64, x86_64"
exit 1
fi
@@ -32,6 +32,13 @@ if [ "$HOST_ARCH" == "aarch64" ]; then
fi
fi
+if [ "$target_arch" == "android64" ]; then
+ if [ "$HOST_ARCH" != "x86_64" ]; then
+ echo "$name: --target_arch android64 is only supported when host is x86_64"
+ exit 1
+ fi
+fi
+
# Validation of chosen Arm NN dependencies
if [ "$flag_tflite_classic_delegate" -eq 0 ] && [ "$flag_tflite_opaque_delegate" -eq 0 ] && [ "$flag_tflite_parser" -eq 0 ] && [ "$flag_onnx_parser" -eq 0 ]; then
echo "$name: at least one of flags --tflite-classic-delegate, --tflite-opaque-delegate, --tflite-parser or --onnx-parser must be set (or --all)."